---
id: 691f7bbf76229bb97c60827d
title: Step 1
challengeType: 1
dashedName: step-1
---

# --description--

In this workshop, you will practice using `for...of` loops by building a function that counts how often a string appears in an array of strings.

Before you write that function, you will create a simpler one that logs each character of a string to the console.

Start by defining an empty function called `printCharacters` with the parameter `str`.

# --hints--

You should create a `printCharacters` function.

```js
assert.isFunction(printCharacters);
```

Your `printCharacters` function should have one parameter called `str`.

```js
const codeWithoutJSComments = __helpers.removeJSComments(code); 
const functionRegex = __helpers.functionRegex('printCharacters', ['str']);

assert.match(codeWithoutJSComments, functionRegex);
```

# --seed--

## --seed-contents--

```js
--fcc-editable-region--

--fcc-editable-region--
```
